function [time] = ReadStagTime(file_name)

FileFormat = 'n';           % native - default
%FileFormat = 'l';           % Little Endian
%FileFormat = 'b';           % Big    Endian


fid         =   fopen(file_name,'r',FileFormat);               % Open File

%==========================================================================
% READ HEADER
%==========================================================================
magic       = fread(fid,1,'int32');         % Version
if magic>8000
    INTSTR='int64'; FLTSTR='double';
    magic=magic-8000;
    fread(fid,1,'int32');
else
    INTSTR='int32'; FLTSTR='single';
end

nxtot       = fread(fid,1,INTSTR);         % nx total
nytot       = fread(fid,1,INTSTR);         % ny total
nztot       = fread(fid,1,INTSTR);         % nz total
nblocks     = fread(fid,1,INTSTR);         % # of blocks, 2 for yinyang
Aspect      = fread(fid,2,FLTSTR);        % Aspect ratio
nnx         = fread(fid,1,INTSTR);         % Number of parallel subdomains
nny         = fread(fid,1,INTSTR);         %  in the x,y,z and b directions
nnz         = fread(fid,1,INTSTR);         %
nnb         = fread(fid,1,INTSTR);         %

nz2         = nztot*2 + 1;
zg          = fread(fid,nz2,FLTSTR);      % z-coordinates

rcmb        = fread(fid,1,FLTSTR);
istep       = fread(fid,1,INTSTR);
time        = fread(fid,1,FLTSTR);

fclose(fid);



